From: Vlad Cojocaru (
Date: Tue Apr 07 2015 - 05:23:35 CDT

Dear VMD users and developers,

I am trying to compile VMD 1.9.2 (the official release) from source and
I get the error below while compiling the plugins. Apparently some
plugins have a strict requirement for tcl8.5 and fail to compile because
I only have tcl 8.6 on my system. Interestingly, I have compiled
previously the version 1.9.2b1 on October 23 2014 on exactly the same
system with no problems and I did not need to modify the Makefiles of
any plugins to specifically search for tcl8.6. So, the problem must come
from a new plugin or a modification done between October 23 and today.

Does anyone have any solution for this issue ?

Best wishes

My system:
openSUSE 13.1
GCC 4.8
TCl 8.6

cannot find -ltcl8.5
collect2: error: ld returned 1 exit status
make[2]: *** [] Error 1
make[1]: *** [molfilelibs] Error 1
make: *** [LINUXAMD64] Error 2

Dr. Vlad Cojocaru
Computational Structural Biology Laboratory
Department of Cell and Developmental Biology
Max Planck Institute for Molecular Biomedicine
Röntgenstrasse 20, 48149 Münster, Germany
Tel: +49-251-70365-324; Fax: +49-251-70365-399
Email: vlad.cojocaru[at]